Package com.treemap.javafx

# Class JavaFXTreeMapView<N,Row,Column>

java.lang.Object
com.treemap.AbstractTreeMapView<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>
com.treemap.javafx.JavaFXTreeMapView<N,Row,Column>

All Implemented Interfaces:
  `TreeMapView<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>`

public class JavaFXTreeMapView<N,Row,Column> extends AbstractTreeMapView<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>
Created by luc on 03/02/16.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.treemap.TreeMapView

  `TreeMapView.Progressive`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final CPTimer`
  `timer`

  ### Fields inherited from class com.treemap.AbstractTreeMapView

  `_model, _postRenderers, _preProgressiveRenderers, _preRenderers, _progressive, _progressiveRenderers, _shapes, _showTiming, headerRenderer, labelRenderer, probingToolTip, screenTransform, selectionToolTip, tooltipRenderer, xRangeModel, yRangeModel`

  ### Fields inherited from interface com.treemap.TreeMapView

  `PROPERTY_PROGRESSIVE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXTreeMapView()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addContextMenuListener(com.macrofocus.crossplatform.CPCanvas.ContextMenuListener l)`
  `void`
  `addKeyListener(com.macrofocus.crossplatform.CPCanvas.KeyListener l)`
  `void`
  `addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)`
  `void`
  `addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)`
  `void`
  `addMouseWheelListener(com.macrofocus.crossplatform.CPCanvas.MouseWheelListener l)`
  `com.macrofocus.igraphics.CPColor<javafx.scene.paint.Color>`
  `getBackground()`
  `BufferedImage`
  `getImage()`
  Creates a new image and render the current treemap into it.
  `javafx.scene.layout.StackPane`
  `getNativeComponent()`
  `Dimension`
  `getSize()`
  `BufferedImage`
  `getToolTipImage(N node)`
  Creates a new image and render the tooltip used for probing into it.
  `com.macrofocus.geom.Point`
  `getToolTipPreferredLocation(N node)`
  Returns the preferred location of the probing tooltip for the specified node.
  `protected void`
  `repaint(long delay)`
  `void`
  `setLicenseModel(LicenseModel licenseModel)`
  `void`
  `setModel(TreeMapModel<N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font> model)`
  Sets the data model and registers with it for listener notifications from the new data model.
  `void`
  `setProgressive(TreeMapView.Progressive progressive)`
  Sets whether progressive display mode is enabled.
  `void`
  `setShowTiming(boolean showTiming)`
  Sets whether information about refresh rate should be displayed.
  `void`
  `setSize(Dimension dimension)`
  `void`
  `updateModelDimension()`
  `protected void`
  `updateSize()`
  `void`
  `waitUntilReady()`
  Wait until all processing are completed.

  ### Methods inherited from class com.treemap.AbstractTreeMapView

  `addPostRenderer, addPreProgressiveRenderer, addPreRenderer, addProgressiveRenderer, contains, drill, drillDown, drillUp, getHeaderRenderer, getHeadless, getLabelRenderer, getModel, getNode, getNodes, getPostRenderers, getPreProgressiveRenderers, getPreRenderers, getProgressive, getProgressiveRenderers, getRenderedShape, getRubberBand, getScreenTransform, getSelectionToolTip, getToolTip, getTooltipRenderer, getViewport, getWorld, getXRangeModel, getYRangeModel, getZoomFactor, isDirty, isSelectionMode, isShowTiming, isUpdateModelDimension, repaint, screenToWorldX, screenToWorldY, setDirty, setHeaderRenderer, setLabelRenderer, setSelectionMode, setSelectionToolTip, setToolTip, setTooltipRenderer, setUpdateModelDimension, worldToScreen, worldToScreen, worldToScreenPrecise, worldToScreenRectangle, worldToScreenX, worldToScreenY, zoom, zoomIn, zoomOut`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### timer

    protected final CPTimer timer

- ## Constructor Details

  - ### JavaFXTreeMapView

    public JavaFXTreeMapView()

- ## Method Details

  - ### setModel

    public void setModel(TreeMapModel<N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font> model)
    Description copied from class: `AbstractTreeMapView`
    Sets the data model and registers with it for listener notifications from the new data model.
    Specified by:
      `setModel` in interface `TreeMapView<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>`
    Overrides:
      `setModel` in class `AbstractTreeMapView<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>`
    Parameters:
      `model` - the new data model
    See Also:
      - `TreeMapView.getModel()`

  - ### repaint

    protected void repaint(long delay)
    Specified by:
      `repaint` in class `AbstractTreeMapView<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>`

  - ### updateSize

    protected void updateSize()
    Specified by:
      `updateSize` in class `AbstractTreeMapView<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>`

  - ### setLicenseModel

    public void setLicenseModel(LicenseModel licenseModel)

  - ### setShowTiming

    public void setShowTiming(boolean showTiming)
    Description copied from interface: `TreeMapView`
    Sets whether information about refresh rate should be displayed.
    Parameters:
      `showTiming` - true to display refresh rate information, false otherwise

  - ### setProgressive

    public void setProgressive(TreeMapView.Progressive progressive)
    Description copied from interface: `TreeMapView`
    Sets whether progressive display mode is enabled.
    Parameters:
      `progressive` - true if progressive display mode is enabled, false otherwise

  - ### updateModelDimension

    public void updateModelDimension()

  - ### getImage

    public BufferedImage getImage()
    Description copied from interface: `TreeMapView`
    Creates a new image and render the current treemap into it. It will wait that all pending update requests to be completed before proceeding to the rendering. The tooltip won't be rendered.
    Returns:
      an image containing the current treemap.

  - ### getToolTipImage

    public BufferedImage getToolTipImage(N node)
    Description copied from interface: `TreeMapView`
    Creates a new image and render the tooltip used for probing into it.
    Parameters:
      `node` - the node for which the tooltip should be rendered
    Returns:
      an image containing the tooltip

  - ### getToolTipPreferredLocation

    public com.macrofocus.geom.Point getToolTipPreferredLocation(N node)
    Description copied from interface: `TreeMapView`
    Returns the preferred location of the probing tooltip for the specified node.
    Parameters:
      `node` - the node to query about its preferred location
    Returns:
      the preferred location of the tooltip in screen coordinates

  - ### waitUntilReady

    public void waitUntilReady()
    Description copied from interface: `TreeMapView`
    Wait until all processing are completed.

  - ### getNativeComponent

    public javafx.scene.layout.StackPane getNativeComponent()

  - ### getBackground

    public com.macrofocus.igraphics.CPColor<javafx.scene.paint.Color> getBackground()

  - ### addMouseListener

    public void addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)

  - ### addMouseMotionListener

    public void addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)

  - ### addMouseWheelListener

    public void addMouseWheelListener(com.macrofocus.crossplatform.CPCanvas.MouseWheelListener l)

  - ### addKeyListener

    public void addKeyListener(com.macrofocus.crossplatform.CPCanvas.KeyListener l)

  - ### addContextMenuListener

    public void addContextMenuListener(com.macrofocus.crossplatform.CPCanvas.ContextMenuListener l)

  - ### getSize

    public Dimension getSize()

  - ### setSize

    public void setSize(Dimension dimension)